using CandidateReviewContracts.BindingModels;
using CandidateReviewContracts.SearchModels;
using CandidateReviewContracts.ViewModels;

namespace CandidateReviewContracts.BusinessLogicsContracts
{
    public interface ICriterionLogic
    {
        List<CriterionViewModel>? ReadList(CriterionSearchModel? model);
        CriterionViewModel? ReadElement(CriterionSearchModel model);
        bool Create(CriterionBindingModel model);
        bool Update(CriterionBindingModel model);
        bool Delete(CriterionBindingModel model);
    }
}
